#include "defines.h"
#include "oscrn.h"

int SCscrnc(int x,int y,unchar *work,int *col)
/* オフスクリーン：色属性読みだし */
{
SC_BUFF *scwork;
	if (SCcheck(work)) return(SCERR1);
	scwork=(SC_BUFF *)work;
	work+=sizeof(SC_BUFF);
	if (x<0||x>=scwork->wx||y<0||y>=scwork->wy) return(SCERR2);
	*col=work[(scwork->wx*y+x)*2+1];
	return(SCOK);
}
